CREATE OR REPLACE TRIGGER LOG_ITEMNOTAFISC
AFTER DELETE OR INSERT OR UPDATE
ON ITEMNOTAFISC FOR EACH ROW
DECLARE
  V_USUARIO   VARCHAR2(40);
  V_TIPO      VARCHAR2(1);
  V_ITPESQ    VARCHAR2(255);
  V_DESC      VARCHAR2(4000);
  V_DTOPER    DATE;
  V_DSREMOTEADDR VARCHAR2(15);
  V_DSREMOTEHOST VARCHAR2(15);
  V_DSSERVERRDM  VARCHAR2(20);
  V_DSSERVMETHOD VARCHAR2(30);
  V_DSREMOTEOPER VARCHAR2(12);
BEGIN

   V_TIPO := '0';
   V_DESC := '';

   WEBTUNNING(V_DSREMOTEADDR,
              V_DSREMOTEHOST,
              V_DSSERVERRDM,
              V_DSSERVMETHOD,
              V_DSREMOTEOPER);

   IF DELETING THEN
      IF :OLD.CDFILIAL IS NOT NULL THEN
         V_DESC := V_DESC || ' CdFilialNFDev=' || :OLD.CDFILIAL;
      END IF;

      IF :OLD.CDFILIALIT IS NOT NULL THEN
         V_DESC := V_DESC || ' CdFilialNFOrig=' || :OLD.CDFILIALIT;
      END IF;

      IF :OLD.NRLANCTONF IS NOT NULL THEN
         V_DESC := V_DESC || ' NrLanctonNFDev=' || :OLD.NRLANCTONF;
      END IF;

      IF :OLD.NRLANCTONFIT IS NOT NULL THEN
         V_DESC := V_DESC || ' NrLanctoNFOrig=' || :OLD.NRLANCTONFIT;
      END IF;

      V_TIPO := '3';
      V_ITPESQ := :OLD.CDFILIAL||:OLD.NRLANCTONF;
   ELSE
      IF UPDATING THEN
         IF (NVL(:OLD.CDFILIAL,'!') <> NVL(:NEW.CDFILIAL,'!')) OR
            (NVL(:OLD.CDFILIALIT,'!') <> NVL(:NEW.CDFILIALIT,'!')) OR 
            (NVL(:OLD.NRLANCTONF,'!') <> NVL(:NEW.NRLANCTONF,'!')) OR 
            (NVL(:OLD.NRLANCTONFIT,'!') <> NVL(:NEW.NRLANCTONFIT,'!'))
         THEN

            V_TIPO   := '2';
            V_ITPESQ := :OLD.CDFILIAL||:OLD.NRLANCTONF;
         END IF;
      ELSE
         V_TIPO   := '1';
         V_ITPESQ := :NEW.CDFILIAL||:NEW.NRLANCTONF;
      END IF;

      IF NVL(:OLD.CDFILIAL, '!') <>  NVL(:NEW.CDFILIAL, '!') THEN
         V_DESC := V_DESC || ' CdFilialNFDev=' || :NEW.CDFILIAL;
      END IF;

      IF NVL(:OLD.CDFILIALIT, '!') <>  NVL(:NEW.CDFILIALIT, '!') THEN
         V_DESC := V_DESC || ' CdFilialNFOrig=' || :NEW.CDFILIALIT;
      END IF;

      IF NVL(:OLD.NRLANCTONF, '!') <>  NVL(:NEW.NRLANCTONF, '!') THEN
         V_DESC := V_DESC || ' NrLanctonNFDev=' || :NEW.NRLANCTONF;
      END IF;

      IF NVL(:OLD.NRLANCTONFIT, '!') <>  NVL(:NEW.NRLANCTONFIT, '!') THEN
         V_DESC := V_DESC || ' NrLanctoNFOrig=' || :NEW.NRLANCTONFIT;
      END IF;

   END IF;
   IF V_TIPO <> '0' THEN
      IF NOT V_DESC IS NULL THEN
         NMUSUARIO(V_USUARIO);
         IF NOT V_USUARIO IS NULL THEN
            V_DTOPER := SYSDATE;

            INSERT INTO LOGOPERA
               (NMTABELA,
                DTOPERACAO, 
                NMRESPOPER, 
                IDTIPOOPER, 
                CDPESQITEM, 
                DSOPERACAO,
                DSRDMUSUOPER, 
                DSENDUSUOPER, 
                DSNMUSUOPER, 
                DSMETUSUOPER, 
                CDORESPOPER)
            VALUES
               ('ITEMNOTAFISC',
                V_DTOPER, 
                V_USUARIO,
                V_TIPO,
                V_ITPESQ,
                SUBSTR(V_DESC, 0, 400),
                V_DSREMOTEADDR,
                V_DSREMOTEHOST, 
                V_DSSERVERRDM,
                V_DSSERVMETHOD, 
                V_DSREMOTEOPER);
         END IF;
      END IF;
   END IF;
END;
/