package com.javaseleniumtemplate.pages;

import com.javaseleniumtemplate.bases.PageBase;
import org.openqa.selenium.By;
import org.openqa.selenium.interactions.Actions;


public class PercentualdeAdesaoPMEPage extends PageBase {
    //Mapping
    By ClicarMenu = By.xpath("//i[@class='v-icon notranslate mdi mdi-menu theme--light']");
    By CampodePesquisa = By.id("menuSearchInput");
    By ClicarnaTelaPercentual = By.xpath("//a[@id='520973934747836611636']//div[@class='v-list-item__title']");


    By CampoParaSelecionarAgregada = By.xpath("//input[@id='UNIDADE_AGREGADA']");
    By SelecionarAgregada = By.xpath("//div[@class='v-menu__content theme--light menuable__content__active v-autocomplete__content zd-select-menu zd-select-align-left zd-dense']//div[text()='0004 | FARMACIA BC 121']");
    By CampoSelecionarPratoInicial = By.xpath("//div[@id='PRATO_INICIAL']//input");
    By CampoSelecionarPratoFinal = By.xpath("//div[@id='PRATO_FINAL']//input");
    By CampoParaSelecionarServico = By.xpath("//input[@id='TPCARD']");
    By SelecionarServico = By.xpath("//div[@class='v-menu__content theme--light menuable__content__active v-autocomplete__content zd-select-menu zd-select-align-left zd-dense']//div[text()='0000000002 | ALMOÇO INFANTIL']");
    By SelecionarPratoSemPercentual = By.xpath("//div[@id='PERACEITPRATO']//tbody/tr[5]/td[3]");
    By CampoParaSalvarPercentual = By.xpath("//button[@id='saveButton']");

    By IconeRelatorio = By.xpath("//i[@class='v-icon notranslate mdi mdi-file-document theme--light']");
    By CampoSelecionarAgregadaRelatorio = By.xpath("//input[@id='UNIDADE_AGREGADA_REPORT']");
    By SelecionarAgregadaRelatorio = By.xpath("//div[@class='v-menu__content theme--light v-menu__content--fixed menuable__content__active v-autocomplete__content zd-select-menu zd-select-align-left']//div[text()='0004 | FARMACIA BC 121']");
    By FecharCampoAgregada = By.xpath("//button[@class='v-icon notranslate v-icon--link mdi mdi-chevron-down theme--light primary--text']");
    By CampoSelecionarTPCardapioAgregada = By.xpath("//input[@id='TPCARD_REPORT']");
    By SelecionarTPCardapioAgregada = By.xpath("//div[@class='v-menu__content theme--light v-menu__content--fixed menuable__content__active v-autocomplete__content zd-select-menu zd-select-align-left']//div[text()='0000000002 | ALMOÇO INFANTIL']");
    By FecharCampoTipoCardapio = By.xpath("//button[@class='v-icon notranslate v-icon--link mdi mdi-chevron-down theme--light primary--text']");
    By CampoSelecionarPratoInicialRelatorio = By.xpath("//form[@id='FORM']//div[@id='PRATO_INICIAL_REPORT']");
    By CampoSelecionarPratoFinalRelatorio = By.xpath("//form[@id='FORM']//div[@id='PRATO_FINAL_REPORT']");
    By ClicarnoPDF = By.xpath("//button[@id='pdf']");

    //Actions
    public void AcessarTela() {
        tempo();
        click(ClicarMenu);
        sendKeys(CampodePesquisa, "Percentual de Adesão do Prato");
        tempo();
        click(ClicarnaTelaPercentual);
    }

    public void PreencherAgregada(){
        tempo();
        click(CampoParaSelecionarAgregada);
        click(SelecionarAgregada);
    }

    public void PratoInicial(){
        tempo();
        click(CampoSelecionarPratoInicial);
        Actions actions = new Actions(driver);
        actions.moveToElement(driver.findElement(CampoSelecionarPratoInicial), 0, 50).click().build().perform();
        tempo();
    }

    public void PratoFinal(){
        tempo();
        click(CampoSelecionarPratoFinal);
        Actions actions = new Actions(driver);
        actions.moveToElement(driver.findElement(CampoSelecionarPratoFinal), 0, 120).click().build().perform();
        tempo();
        tempo();
    }

    public void PreencherServico(){
        tempo();
        click(CampoParaSelecionarServico);
        click(SelecionarServico);
    }

    public void SelecionarPercentual(){
        tempo();
        Actions actions = new Actions(driver);
        actions.moveToElement(driver.findElement(SelecionarPratoSemPercentual)).click().build().perform();
        tempo();
        actions.sendKeys("50").build().perform();
        click(CampoParaSalvarPercentual);
        tempo();
        }

    public void GerarRelatorio(){
        tempo();
        click(IconeRelatorio);
        click(CampoSelecionarAgregadaRelatorio);
        click(SelecionarAgregadaRelatorio);
        click(FecharCampoAgregada);
        tempo();
        click(CampoSelecionarTPCardapioAgregada);
        click(SelecionarTPCardapioAgregada);
        click(FecharCampoTipoCardapio);
        tempo();
    }

    public void PratoInicialRelatorio(){
        click(CampoSelecionarPratoInicialRelatorio);
        Actions actions = new Actions(driver);
        actions.moveToElement(driver.findElement(CampoSelecionarPratoInicialRelatorio), 0, 60).click().build().perform();
        tempo();
    }

    public void PratoFinalRelatorio(){
        click(CampoSelecionarPratoFinalRelatorio);
        Actions actions = new Actions(driver);
        actions.moveToElement(driver.findElement(CampoSelecionarPratoFinalRelatorio), 0, 120).click().build().perform();
        tempo();
        tempo();
    }

    public void Clicarpdf(){
        tempo();
        click(ClicarnoPDF);
        tempo();
        tempo();
    }


}

