package com.javaseleniumtemplate.tests;

import com.javaseleniumtemplate.bases.TestBase;
import com.javaseleniumtemplate.flows.LoginPMEFlows;
import com.javaseleniumtemplate.flows.MainFlows;
import com.javaseleniumtemplate.pages.MainPage;
import com.javaseleniumtemplate.pages.ParametrosPMEPage;
import com.javaseleniumtemplate.pages.UtilizacaoDeProdutosPMEPage;
import org.testng.annotations.Test;

public class ParametrosPMETest extends TestBase {

    MainPage mainPage;
    MainFlows mainFlows;
    ParametrosPMEPage parametrospmepage;
    LoginPMEFlows loginpmeflows;


    //Tests 1 - Parametro Grupo Operador
    @Test
    public void GrupoOperador() {
        mainPage = new MainPage();

        loginpmeflows = new LoginPMEFlows();
        mainFlows = new MainFlows();
        parametrospmepage = new ParametrosPMEPage();
        String usuario = "francielly.automacao";
        String senha = "2023Teknisa*";

        loginpmeflows.efetuarloginpme(usuario, senha);
        parametrospmepage.AcessarTela();
        parametrospmepage.TelaGrupoOperador();
        parametrospmepage.AbrirOperador();
        parametrospmepage.RemoverOperador();
        parametrospmepage.AbrirOperador();
        parametrospmepage.SalvarAlteracoes();
    }

    //Tests 2 - Adicionar Operador
    @Test
    public void AdicionarOperador() {
        mainPage = new MainPage();

        loginpmeflows = new LoginPMEFlows();
        mainFlows = new MainFlows();
        parametrospmepage = new ParametrosPMEPage();
        String usuario = "francielly.automacao";
        String senha = "2023Teknisa*";

        loginpmeflows.efetuarloginpme(usuario, senha);
        parametrospmepage.AcessarTela();
        parametrospmepage.TelaGrupoOperador();
        parametrospmepage.AbrirOperador();
        parametrospmepage.AdicionarOperador();
        parametrospmepage.SalvarAlteracoes();
    }

    // Tests 3 - Calculo NDPCal
    @Test
    public void AdicionarProdutoNDPCal() {
        mainPage = new MainPage();

        loginpmeflows = new LoginPMEFlows();
        mainFlows = new MainFlows();
        parametrospmepage = new ParametrosPMEPage();
        String usuario = "francielly.automacao";
        String senha = "2023Teknisa*";

        loginpmeflows.efetuarloginpme(usuario, senha);
        parametrospmepage.AcessarTela();
        parametrospmepage.CalculoNDPCal();
        parametrospmepage.AdicionarProduto();
        parametrospmepage.PreencherFatordoCalculo();
        parametrospmepage.SalvarInformacao();
    }



}
